BCMRNG(4)

NAME
bcmrng - Broadcom BCM2835/BCM2836/BCM2837 random number generator

SYNOPSIS
bcmrng* at fdt?

DESCRIPTION
The bcmrng driver provides support for the random number generator found on the Broadcom BCM2835/BCM2836/BCM2837 SoC.

It feeds the random subsystem's entropy pool with up to 128 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The bcmrng driver first appeared in OpenBSD 6.3.

AUTHORS
-nosplit The bcmrng driver was written by Mark Kettenis <kettenis@openbsd.org>.